Page MenuHomePhabricator

Validate according to range in mw.widget.DateInputWidget
Closed, ResolvedPublic

Description

DateInputWidget could be extended to make it possible to not allow setting dates before given / after given.

Details

Related Gerrit Patches:

Event Timeline

Prtksxna created this task.Sep 9 2015, 7:52 PM
Prtksxna claimed this task.
Prtksxna raised the priority of this task from to Medium.
Prtksxna updated the task description. (Show Details)
Prtksxna added a project: Multimedia.
Prtksxna added a subscriber: Prtksxna.
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptSep 9 2015, 7:52 PM

Change 237154 had a related patch set uploaded (by Prtksxna):
mw.widget.DateInputWidget: Add validateRange

https://gerrit.wikimedia.org/r/237154

Prtksxna moved this task from Doing to Needs code review on the Multimedia board.Sep 9 2015, 8:03 PM

Change 237154 merged by jenkins-bot:
mw.widget.DateInputWidget: Add range validation

https://gerrit.wikimedia.org/r/237154

Prtksxna moved this task from Needs code review to Done on the Multimedia board.Sep 10 2015, 5:14 AM
Jdforrester-WMF closed this task as Resolved.Sep 11 2015, 6:12 PM
Jdforrester-WMF set Security to None.